## gimppattern

gimppattern — Functions operating on a single pattern.

## Functions

gboolean | gimp_pattern_get_info ()
gboolean | gimp_pattern_get_pixels ()

## Description

Functions operating on a single pattern.

## Functions

### gimp_pattern_get_info ()

    gboolean
    gimp_pattern_get_info (const gchar *name,
                           gint *width,
                           gint *height,
                           gint *bpp);

Retrieve information about the specified pattern.

This procedure retrieves information about the specified pattern. This includes the pattern extents (width and height).

#### Parameters

name | The pattern name. |
width | The pattern width. |
height | The pattern height. |
bpp | The pattern bpp. |

#### Returns

TRUE on success.

Since GIMP 2.2

### gimp_pattern_get_pixels ()

    gboolean
    gimp_pattern_get_pixels (const gchar *name,
                             gint *width,
                             gint *height,
                             gint *bpp,
                             gint *num_color_bytes,
                             guint8 **color_bytes);

Retrieve information about the specified pattern (including pixels).

This procedure retrieves information about the specified. This includes the pattern extents (width and height), its bpp and its pixel data.

#### Parameters

name | The pattern name. |
width | The pattern width. |
height | The pattern height. |
bpp | The pattern bpp. |
num_color_bytes | Number of pattern bytes. |
color_bytes | The pattern data. |

#### Returns

TRUE on success.

Since GIMP 2.2

## Types and Values